app

AppUpdater

❗️Check your update and show alert with one line of code

Showing:

Popularity

Downloads/wk

0

GitHub Stars

49

Maintenance

Last Commit

2yrs ago

Contributors

3

Package

Dependencies

0

License

MIT

Categories

Readme

AppUpdater

Version Carthage Compatible License: MIT Platform Build Status Swift 4.2 iOS 9.0+

❗️Check your update with one line of code

Update availableUpdate unavailable
availableunavailable

Requirements

AppUpdater is written in Swift 4.2 Compatible with iOS 9.0+

Usage

AppUpdater.showUpdateAlert()

// force update.
AppUpdater.showUpdateAlert(isForce: true)

You can also use some methods listed below

Methods

FunctionParameterReturn
showUpdateAlertisForce-
isUpdateAvailable-Bool
versionAndDownloadUrl-(version: String, downloadUrl: String)?

Installation

Cocoapods

pod 'AppUpdater'

Carthage

github "younatics/AppUpdater"

References

Please tell me or make pull request if you use this library in your application :)

MotionBook

Author

younatics Twitter

License

AppUpdater is available under the MIT license. See the LICENSE file for more info.

Rate & Review

Great Documentation0
Easy to Use0
Performant0
Highly Customizable0
Bleeding Edge0
Responsive Maintainers0
Poor Documentation0
Hard to Use0
Slow0
Buggy0
Abandoned0
Unwelcoming Community0
100